
package com.tmerclub.cloud.distribution.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 分销商品关联信息DTO
 *
 * @author cl
 * @date 2021-08-09 14:14:07
 */
public class DistributionSpuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "分销商品表")
    private Long distributionSpuId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "奖励id")
    private Long awardId;

    @Schema(description = "状态(0:商家下架 1:商家上架 2:违规下架 3:平台审核)")
    private Integer state;

    @Schema(description = "奖励方式(0 按比例 1 按固定数值)")
    private Integer awardMode;

    @Schema(description = "上级奖励设置(0 关闭 1开启)")
    private Integer parentAwardSet;

    @Schema(description = "奖励数额(奖励方式为0时，表示百分比，为1时代表实际奖励金额）")
    private Long awardNumbers;

    @Schema(description = "上级奖励数额(奖励方式为0时，表示百分比，为1时代表实际奖励金额）")
    private Long parentAwardNumbers;

    @Schema(description = "操作人id")
    private Long modifier;

    public Long getAwardNumbers() {
        return awardNumbers;
    }

    public void setAwardNumbers(Long awardNumbers) {
        this.awardNumbers = awardNumbers;
    }

    public Long getParentAwardNumbers() {
        return parentAwardNumbers;
    }

    public void setParentAwardNumbers(Long parentAwardNumbers) {
        this.parentAwardNumbers = parentAwardNumbers;
    }

    public Long getDistributionSpuId() {
        return distributionSpuId;
    }

    public void setDistributionSpuId(Long distributionSpuId) {
        this.distributionSpuId = distributionSpuId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getAwardId() {
        return awardId;
    }

    public void setAwardId(Long awardId) {
        this.awardId = awardId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getAwardMode() {
        return awardMode;
    }

    public void setAwardMode(Integer awardMode) {
        this.awardMode = awardMode;
    }

    public Integer getParentAwardSet() {
        return parentAwardSet;
    }

    public void setParentAwardSet(Integer parentAwardSet) {
        this.parentAwardSet = parentAwardSet;
    }

    public Long getModifier() {
        return modifier;
    }

    public void setModifier(Long modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "DistributionSpuDTO{" +
                "distributionSpuId=" + distributionSpuId +
                ", shopId=" + shopId +
                ", spuId=" + spuId +
                ", awardId=" + awardId +
                ", state=" + state +
                ", awardMode=" + awardMode +
                ", parentAwardSet=" + parentAwardSet +
                ", awardNumbers=" + awardNumbers +
                ", parentAwardNumbers=" + parentAwardNumbers +
                ", modifier=" + modifier +
                '}';
    }
}
